aboutsummaryrefslogtreecommitdiff
path: root/scripts/omz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/omz.sh')
-rwxr-xr-xscripts/omz.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/omz.sh b/scripts/omz.sh
new file mode 100755
index 0000000..7dd94c3
--- /dev/null
+++ b/scripts/omz.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env zsh
+# Install OMZ
+set -e
+sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
+
+# Powerline fonts
+mkdir -p /tmp/fonts/
+git clone https://github.com/powerline/fonts.git --depth=1 /tmp/fonts/
+chmod +x /tmp/fonts/install.sh
+bash /tmp/fonts/install.sh
+rm -rf /tmp/fonts/
+
+sleep 2s
+
+# Install plugins
+git clone --depth 1 -- https://github.com/zsh-users/zsh-autosuggestions.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
+git clone --depth 1 -- https://github.com/zsh-users/zsh-syntax-highlighting.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting
+git clone --depth 1 -- https://github.com/marlonrichert/zsh-autocomplete.git ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autocomplete
+
+# Overwrite zshrc
+SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"
+REPO_ROOT="$(cd "$SCRIPT_DIR/.." && pwd)"
+cp "$REPO_ROOT/.zshrc" "$HOME/.zshrc" \ No newline at end of file